{% extends '@!EasyAdmin/crud/detail.html.twig' %}

{%  block content_footer_wrapper %}
    <div id="modal-confirm" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                    <h4>{{ 'action.confirmation.title'|trans([], 'EasyAdminBundle')  }}</h4>
                    {% block easyadmin_modal_confirmation_desc %}
                    <p>{{ 'action.confirmation.desc'|trans([], 'EasyAdminBundle')  }}</p>
                    {% endblock %}
                </div>
                <div class="modal-footer">
                    <button type="button" data-bs-dismiss="modal" class="btn btn-secondary">
                        <span class="btn-label">{{ 'action.cancel'|trans([], 'EasyAdminBundle') }}</span>
                    </button>

                    <button type="button" data-bs-dismiss="modal" class="btn btn-success" id="modal-confirm-button">
                        <span class="btn-label">{{ 'action.confirm'|trans([], 'EasyAdminBundle') }}</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block main %}
    {{ parent() }}
    <div class="page-actions" style="align-items: center;display: flex;flex-direction: row;  justify-content: end;gap:1rem;margin-bottom: 10rem">{% for action in entity.actions %}
            {{ include(action.templatePath, { action: action }, with_context = false) }}
        {% endfor %}</div>
{% endblock %}